Loading...
Searching...
No Matches
TraceRawBuffer Class Reference

`#include <trc_raw_buffer.h>`

## Public Member Functions

| TraceRawBuffer ()
| ~TraceRawBuffer ()
void | init (const uint32_t size, const uint8_t *rawtrace, std::vector< uint8_t > *out_packet)
void | copyByteToPkt ()
uint8_t | peekNextByte ()
bool | empty ()
uint32_t | processed ()
uint32_t | size ()

## Detailed Description

Definition at line 40 of file trc_raw_buffer.h.

## Constructor & Destructor Documentation

## TraceRawBuffer()

TraceRawBuffer::TraceRawBuffer | ( |  | ) |

inline

Definition at line 43 of file trc_raw_buffer.h.

## ~TraceRawBuffer()

TraceRawBuffer::~TraceRawBuffer | ( |  | ) |

inline

Definition at line 49 of file trc_raw_buffer.h.

## Member Function Documentation

## copyByteToPkt()

void TraceRawBuffer::copyByteToPkt | ( |  | ) |

inline

Definition at line 79 of file trc_raw_buffer.h.

Here is the call graph for this function:

## empty()

bool TraceRawBuffer::empty | ( |  | ) |

inline

Definition at line 56 of file trc_raw_buffer.h.

Here is the caller graph for this function:

## init()

void TraceRawBuffer::init | ( | const uint32_t | size,
|  | const uint8_t * | rawtrace,
|  | std::vector< uint8_t > * | out_packet )

inline

Definition at line 71 of file trc_raw_buffer.h.

Here is the call graph for this function:

## peekNextByte()

uint8_t TraceRawBuffer::peekNextByte | ( |  | ) |

inline

Definition at line 87 of file trc_raw_buffer.h.

Here is the call graph for this function:

## processed()

uint32_t TraceRawBuffer::processed | ( |  | ) |

inline

Definition at line 58 of file trc_raw_buffer.h.

## size()

uint32_t TraceRawBuffer::size | ( |  | ) |

inline

Definition at line 60 of file trc_raw_buffer.h.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/common/trc_raw_buffer.h